Un meilleur job mieux payé ?

Deviens chef de projet, développeur, ingénieur, informaticien

Mets à jour ton profil pro

ça m'intéresse

jQuery 1.11.0 et jQuery 2.1.0 sont disponibles

Le , par danielhagnoul, Rédacteur
jQuery 1.11.0 et jQuery 2.1.0 sont disponibles
La version compressée (min) de jQuery ne contient plus le fichier Sourcemap

Rappel

  • Seule la branche 1 est compatible avec les navigateurs obsolètes.
  • Pour une mise à niveau à partir d'une version totalement obsolète, nous vous rappelons que la version 1.9 a modifié beaucoup de choses. Lire le guide de mise à niveau, le plugin jQuery Migration vous signalera toutes les erreurs dans vos codes, ce plugin ne doit pas être utilisé en production.

Téléchargement

Liens vers le serveur de code jQuery (MaxCDN) :
  1. "http://code.jquery.com/jquery-1.11.0.min.js"
  2. "http://code.jquery.com/jquery-2.1.0.min.js"


Les autres serveurs de code mettront, comme d'habitude, quelques heures avant de rendre disponibles les dernières versions.

Les différentes possibilités de téléchargement des codes et des outils jQuery.

Disponible sur NPM

Quoi de neuf ?

Aucun changement dans l'API. Correction de bogues, quelques modifications dans l'organisation du code en modules et une amélioration de la vitesse d'exécution.

Reconstruction du DOM par le navigateur

Plusieurs codes provoquant des reconstructions inutiles ont été améliorés. Signalons un important gain de performance pour les méthodes manipulant les classes.

Modularité du code jQuery

Entièrement définie sous AMD, ce qui rend la construction de sous-ensembles de jQuery encore plus facile.

Ouverture de la page web un peu plus rapide

Les fonctions permettant de détecter les particularités du navigateur ne sont plus appelées lors de l'ouverture de la page, mais uniquement lorsqu'une méthode de l'API en aura besoin. Cette amélioration est perceptible sur les mobiles.

Publié sur NPM

Toutes les versions de jQuery sont maintenant disponibles sur NPM, mais seules les versions de la branche 2 sont compatibles.

Publié sur Bower

L'équipe de développement jQuery (inclus Sizzle) utilise Bower pour gérer les dépendances internes.

Sourcemap jQuery

Il a causé de nombreux problèmes à beaucoup de développeurs (voir ici et ici), en conséquence la version compressée (min) disponible sur les serveurs de code (CDN) ne contient plus ce fichier. Il est toujours disponible lors de la construction d'une version personnalisée de jQuery.

Le support du fichier "sourcemap" sera poursuivi et amélioré. Avec un navigateur compatible, il permet de gérer la situation en cas de fichiers manquants ou de fichiers renommés.

Source et liste complète des modifications


Vous avez aimé cette actualité ? Alors partagez-la avec vos amis en cliquant sur les boutons ci-dessous :


 Poster une réponse

Avatar de Shuty Shuty - Membre éprouvé https://www.developpez.com
le 27/01/2014 à 12:14
Il ne restera plus qu'à forcer les utilisateurs à mettre à jour leurs browser !
Avatar de Gugelhupf Gugelhupf - Modérateur https://www.developpez.com
le 28/01/2014 à 11:43
Et la marmotte, elle met le chocolat dans le papier d'alu
Offres d'emploi IT
RESPONSABLE WEB ANALYTICS F/H
VACALIANS GROUP - Languedoc Roussillon - SETE (34)
Développeur WEB PHP F/H
VACALIANS GROUP - Languedoc Roussillon - SETE (34)
Développeur Web FULL-STACK
VACALIANS GROUP - Languedoc Roussillon - SETE (34)

Voir plus d'offres Voir la carte des offres IT
Responsable bénévole de la rubrique JavaScript : Xavier Lecomte -